API · Manage · Compliance
Append timeline event.
Append-only — there is no PATCH or DELETE on TimelineEvent. New rows attach to the resolved token's org/mode/workspace/entity. Used for custom integrations that need to surface a non-Matter state transition (e.g. a Slack approval, a HubSpot deal stage) on the customer's timeline. Most events are emitted by Matter services automatically.
Last updated
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
kindstringRequiredOne of
"formation""governance""equity""filing""personnel""banking""compliance""mail""audit"titlestringRequiredoccurred_atstring<date-time>RequiredactorstringOptionalrefstringOptionalOptional reference to the resource that triggered the event.
Response Body
Request
curl -X POST "https://api.mattermode.com/v1/timeline_events" \ -H "Content-Type: application/json" \ -d '{ "kind": "formation", "title": "string", "occurred_at": "2019-08-24T14:15:22Z" }'const body = JSON.stringify({ "kind": "formation", "title": "string", "occurred_at": "2019-08-24T14:15:22Z"})fetch("https://api.mattermode.com/v1/timeline_events", { method: "POST", headers: { "Content-Type": "application/json" }, body})package mainimport ( "fmt" "net/http" "io/ioutil" "strings")func main() { url := "https://api.mattermode.com/v1/timeline_events" body := strings.NewReader(`{ "kind": "formation", "title": "string", "occurred_at": "2019-08-24T14:15:22Z" }`) req, _ := http.NewRequest("POST", url, body) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b",}payload = { "kind": "formation", "title": "example", "occurred_at": "2026-01-01T00:00:00Z"}resp = requests.post( "https://api.mattermode.com/v1/timeline_events", headers=headers, json=payload,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;import java.net.http.HttpRequest.BodyPublishers;var body = BodyPublishers.ofString("""{ "kind": "formation", "title": "string", "occurred_at": "2019-08-24T14:15:22Z"}""");HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/timeline_events")) .header("Content-Type", "application/json") .POST(body) .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var body = new StringContent("""{ "kind": "formation", "title": "string", "occurred_at": "2019-08-24T14:15:22Z"}""", Encoding.UTF8, "application/json");var client = new HttpClient();var response = await client.PostAsync("https://api.mattermode.com/v1/timeline_events", body);var responseBody = await response.Content.ReadAsStringAsync();curl --request POST 'https://api.mattermode.com/v1/timeline_events' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10' \ --header 'Idempotency-Key: ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b' \ --header 'Content-Type: application/json' \ --data '{ "kind": "formation", "title": "example", "occurred_at": "2026-01-01T00:00:00Z"}'const response = await fetch("https://api.mattermode.com/v1/timeline_events", { method: "POST", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b", "Content-Type": "application/json", }, body: JSON.stringify({ "kind": "formation", "title": "example", "occurred_at": "2026-01-01T00:00:00Z" }),});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
201TimelineEvent appended.
No example available.